=== debian/control ===
Source: m2300w
Section: text
Priority: optional
Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
Uploaders: Didier Raboud <odyx@debian.org>, Till Kamppeter <till.kamppeter@gmail.com>
Build-Depends: debhelper-compat (= 12), groff, ghostscript, cups-filters (>= 1.0.42), pyppd (>= 1.0.1)
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/printing-team/m2300w.git
Vcs-Browser: https://salsa.debian.org/printing-team/m2300w
Homepage: http://m2300w.sf.net/

Package: printer-driver-m2300w
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 cups-filters (>= 1.0.42) | foomatic-filters (>= 4.0.0~bzr156)
Recommends: cups-ppdc
Suggests: psutils
Replaces: m2300w-ppds, m2300w (<< 0.51-5~)
Breaks: m2300w-ppds, m2300w (<< 0.51-5~)
Description: printer driver for Minolta magicolor 2300W/2400W color laser printers
 The m2300w driver is a driver for the Konica Minolta magicolor 2300W and
 2400W color laser printers.
 .
 The driver is basically intended for being used in conjunction with
 "foomatic" (see http://www.openprinting.org/foomatic.html), which
 is a database-driven system for integrating free software printer
 drivers with common spoolers under Unix, like CUPS, LPRng, LPD,
 GNUlpr, PPR, PDQ, CPS, and direct printing.
