=== debian/watch ===
version=3
http://qa.debian.org/watch/sf.php/m2300w/ \
(?:|.*/)m2300w(?:[_\-]v?|)(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
